Subject: Re: how was debate on _GNU_SOURCE resolved? can't find pthread_getattr_np
From: mike marchywka <[email-masked]>
To: [email-masked]
Date: Sat, 27 Mar 2010 15:50:00 -0400
List-Id: <cygwin.cygwin.com>

On 3/27/10, Christopher Faylor
 wrote:

> Function declarations which don't exist in any header file cannot show
> up when you set a flag.

They exist in SOME header as they came up on google- I didn't know
what may be available elsewhere, the fact it isn't on my system
doesn't mean it doesn't exist. Although now that you mention it,
you are provably wrong LOL:

marchywka:/home/marchywka/junk# g++ -Wall -O3 -DDM=CGF junk.cpp
marchywka:/home/marchywka/junk# ./a.out
 hi to cgf
it ran
marchywka:/home/marchywka/junk# cat junk.cpp
#include <iostream>
void DM()
{
std::cout<<" hi to cgf\r\n";
}

int  main(int cnt, char** args)
{
CGF();
std::cout<<"it ran\r\n";
return 0;

}
marchywka:/home/marchywka/junk#
marchywka:/home/marchywka/junk# g++ -Wall -O3  junk.cpp
junk.cpp: In function ‘int main(int, char**)’:
junk.cpp:9: error: ‘CGF’ was not declared in this scope
marchywka:/home/marchywka/junk#

>
>>>>Grepping through the pthread header however I don't see any indication
>>>>the things the compiler is complaining about exist. It seems however
>>>>the _GNU_SOURCE flag comes up in many headers in the include dir.
>>>
>>> You're conflating things here.  This has nothing to do with _GNU_SOURCE.
>>> Defining _GNU_SOURCE isn't going to cause nonexistent functions to show
>>> up.  The fact that you can't find the functions in a header file should
>>> be a clue.  The functions simply don't exist on Cygwin.
>>
>>I could have missed something and maybe I just needed to install
>>something new or dropped a package- they didn't have to be in a pthread
>>header...  .  So I guess then the question is what replaces this or if
>>you have a link to the issues here- why aren't these part of cygwin?
>
> Why do you think?

Well I guess it is non portable but that isn't always informative.
You coldn't figure out how to get  windoze system to
make it work? Now you are asking me to know what these things
are supposed to do and what windoze will allow.

>
> cgf
>
> --

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple